Emby will not install. Topic is solved

Having issues with your DietPi installation, or, found a bug? Post it here.
Post Reply
ISquishWorms
Posts: 9
Joined: Thu Jan 31, 2019 2:01 am

Emby will not install.

Post by ISquishWorms »

Hello,

Fresh install of DietPi on Raspberry PI B, trying to install Emby using optimised software menu and getting this error below.

[FAILED] DietPi-Software | wget -O 41.


--------------------------------------------------------------------
- DietPi has encounted an error, and, is unable to continue -
- Please create a ticket: https://github.com/MichaIng/DietPi/issues -
- Copy and paste the BLUE lines below, into the ticket -
--------------------------------------------------------------------


#### Details:
- Date | Tue 2 Apr 12:06:57 BST 2019
- Bug report | N/A
- DietPi version | v6.22.3 (MichaIng/master)
- Img creator | DietPi Core Team
- Pre-image | Raspbian Lite
- SBC device | RPi 3 Model B (armv7l) (index=3)
- Kernel version | #1200 SMP Tue Feb 12 20:27:48 GMT 2019
- Distro | stretch (index=4)
- Command | wget -O 41.
- Exit code | 1
- Software title | DietPi-Software

#### Steps to reproduce:
<!-- Explain how to reproduce the issue -->
1. ...
2. ...

#### Expected behaviour:
<!-- What SHOULD be happening? -->
- ...

#### Actual behaviour:
<!-- What IS happening? -->
- ...

#### Extra details:
<!-- Please post any extra details that might help solve the issue -->
- ...

#### Additional logs:
```
Log file contents:
wget: missing URL
Usage: wget [OPTION]... [URL]...

Try `wget --help' for more options.
```


--------------------------------------------------------------------

[FAILED] DietPi-Software | Unable to continue, DietPi-Software will now terminate.
ISquishWorms
Posts: 9
Joined: Thu Jan 31, 2019 2:01 am

Re: Emby will not install.

Post by ISquishWorms »

Never mind found solution in this thread here: viewtopic.php?f=11&t=5772

Modified the following file at line 5224:

sudo nano /DietPi/dietpi/dietpi-software

Added the line:

local fallback_url="https://github.com/MediaBrowser/Emby.Re ... _$arch.deb"

Seems to install now.
User avatar
MichaIng
Site Admin
Posts: 2261
Joined: Sat Nov 18, 2017 6:21 pm

Re: Emby will not install.

Post by MichaIng »

Only adding the fallback line should not work. With the fix for v6.23 I added the fallback feature since this can generally happen for other Github releases as well. To fix on v6.22 the following should work:

Code: Select all

sed -i 's#"$(curl -s "$INSTALL_URL_ADDRESS" | grep -m1 "browser_download_url.*emby-server-deb_.*_$arch\\.deb" | cut -d \\" -f 4)"#"https://github.com/MediaBrowser/Emby.Releases/releases/download/4.0.2.0/emby-server-deb_4.0.2.0_$arch.deb"#' /DietPi/dietpi/dietpi-software
/DietPi/dietpi/software install 41 # to rerun the Emby install
ISquishWorms
Posts: 9
Joined: Thu Jan 31, 2019 2:01 am

Re: Emby will not install.

Post by ISquishWorms »

MichaIng wrote: Tue Apr 02, 2019 6:41 pm Only adding the fallback line should not work. With the fix for v6.23 I added the fallback feature since this can generally happen for other Github releases as well. To fix on v6.22 the following should work:

Code: Select all

sed -i 's#"$(curl -s "$INSTALL_URL_ADDRESS" | grep -m1 "browser_download_url.*emby-server-deb_.*_$arch\\.deb" | cut -d \\" -f 4)"#"https://github.com/MediaBrowser/Emby.Releases/releases/download/4.0.2.0/emby-server-deb_4.0.2.0_$arch.deb"#' /DietPi/dietpi/dietpi-software
/DietPi/dietpi/software install 41 # to rerun the Emby install
Sorry, yes it was your fix posted in the other thread that acutally fixed this, I had done both but when trying again just by adding the line it did not work.

Thank you for posting the fix. :)
Post Reply